<?php
	include ('include/config.php') ;
	include ('include/admin_check.php') ;
	include ('include/functions.php') ;
	include ('include/menusor_include.php');
	
	$query = "select id, nyelv_rovid, kep from nyelvek order by suly" ;
	$result = lekerdez($query) ;
	$nyelvek = array() ;
	if (mysqli_num_rows($result) > 0) {
		while ($sor = mysqli_fetch_assoc($result)) {
			$nyelvek[] = $sor ;
		}
		mysqli_free_result($result) ;
	}
	
	$menupontok = menustruktura(0,0) ;
	for ($i=0;$i<count($menupontok);$i++) {
		if ($menupontok[$i]["szulo"] != '0') {
			$menupontok[$i]["nev"] = csaladfa_kigyujtes($menupontok[$i]) ;
		}
	}	
	
	$hibasak = $_SESSION["hibas_adatok"] ;
	unset($_SESSION["hibas_adatok"]) ;
	$adatok = $_SESSION["adatok_vissza"] ;
	unset($_SESSION["adatok_vissza"]) ;
	if ($hibasak == null) {
		$hibasak = array() ;	
	}		
?>

<!DOCTYPE html>

<html lang="hu">

  <head>

    <meta charset="utf-8">

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <meta name="description" content="">

    <meta name="author" content="">



    <title><?php echo $admin_title;?> Admin: Új oldal</title>



    <!-- Bootstrap core CSS -->

    <link href="css/bootstrap.css" rel="stylesheet">



    <!-- Add custom CSS here -->

    <link href="css/sb-admin.css" rel="stylesheet">

    <link rel="stylesheet" href="font-awesome/css/font-awesome.min.css">

    <!-- Page Specific CSS -->

    <link rel="stylesheet" href="http://cdn.oesmith.co.uk/morris-0.4.3.min.css">

<script src="js/jquery-1.10.2.js" type="text/javascript"></script>

    <!-- JavaScript -->

    <script src="js/bootstrap.js"></script>



    <!-- Page Specific Plugins -->

    <script src="http://cdnjs.cloudflare.com/ajax/libs/raphael/2.1.0/raphael-min.js"></script>

    <script src="http://cdn.oesmith.co.uk/morris-0.4.3.min.js"></script>

    <!--<script src="js/morris/chart-data-morris.js"></script>-->


<script type="text/javascript" src="tinymce/js/tinymce/tinymce.min.js"></script>

<script language="javascript" type="text/javascript">

tinymce.init({

    selector: "textarea.mcEditor",

    theme: "modern",

	content_css : "/tiny_style.css",

	language : "hu_HU",

    plugins: [

        "advlist autolink lists link image charmap print preview hr anchor pagebreak",

        "searchreplace wordcount visualblocks visualchars code fullscreen",

        "insertdatetime media nonbreaking save table contextmenu directionality",

        "emoticons template paste textcolor filemanager importcss"

    ],

    toolbar1: "insertfile undo redo | styleselect formatselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image",

    toolbar2: "print preview media | forecolor backcolor emoticons",

    image_advtab: true,

	extended_valid_elements : "a[name|href|target|title|onclick|class],img[class|src|border=0|alt|title|hspace|vspace|width|height|align|onmouseover|onmouseout|name|style],hr[class|width|size|noshade],font[face|size|color|style],span[class|align|style],div[class|align|style],iframe[src|width|height|name|align|class], embed[width|height|name|flashvars|src|bgcolor|align|play|loop|quality|allowscriptaccess|type|pluginspage], h1[class|width], h2[class|width], h3[class|width], h4[class|width], h5[class|width], h6[class|width], i[class]",

    templates: [

		{
			title: "Munkatárs oldal sablon",
			url: "tinymce/templates/munkatarsak.html",
			description: "Sablon a munkatárs részletes oldalához"
		},	
		
        {title: 'Test template 1', content: 'Test 1'},

        {title: 'Test template 2', content: 'Test 2'}

    ]



});





function toggleEditor(id) {

	if (!tinymce.get(id))

		tinymce.execCommand('mceAddEditor', false, id);

	else

		tinymce.execCommand('mceRemoveEditor', false, id);

}

$(document).ready(function() {
	$("#nav-pages").addClass("open") ;
}) ;

</script>    
<script language="javascript" type="text/javascript">
  function szulovalaszto_mutat() {
	var mit = $("input:radio[name ='menuresz']:checked").val() ;
	var request = $.ajax({
	url: "ajax_info.php",
	type: "GET",
	data: { type : "get_szulo_menupont_select", menu : mit },
	dataType: "html"
	});
	request.done(function( msg ) {
	$( "#szulo" ).html( msg );
	});
	request.fail(function( jqXHR, textStatus ) {
	alert( "Request failed: " + textStatus );
	});
  }
  
	function url_modosit(nyelv_id, nyelv_rovid) {
/*		$("#oldal_url_" + nyelv_id).html($("#url_nev_" + nyelv_id).val().toLowerCase() + "-p-" + nyelv_rovid + ".html") ;*/
	}    
</script>
  </head>



  <body>



    <div id="wrapper">

	

	<?php include "inc_sidebar_top.php"?>      



      <div id="page-wrapper">



        <div class="row">

          <div class="col-lg-12">

            <h1>Új oldal</h1>

          </div>
<?php
	if (count($_SESSION["hiba"]) > 0) {
		echo '<div class="col-lg-12">' ;
		foreach ($_SESSION["hiba"] as $hibasor) {
			$class = "alert-danger" ;
			if ($hibasor["tipus"] == "success") {
				$class = "alert-success" ;
			}
			echo '<div class="alert alert-dismissable ' . $class . '">'.$hibasor["szoveg"].'</div>' ;
		}		
		echo '</div>' ;
		unset($_SESSION["hiba"]) ;
	}
?>		
        </div><!-- /.row -->





        <div class="row">

          <div class="col-lg-12">

            <form role="form" name="new_page_form" action="formok/page-new.php" method="post">



              <div class="row">
              	<div class="col-lg-6">
                <div class="form-group <?php if (in_array("nev", $hibasak)) echo ' has-error';?>">

                <label>Oldal címe</label><br />

  	<?php
		foreach ($nyelvek as $nyelv) {
 			echo '<p><img src="' . $nyelv_kep_path.$nyelv["kep"] . '" border="0" />' ;
	?>
	      <input class="form-control" name="nev_<?php echo $nyelv["id"];?>" type="text" id="nev_<?php echo $nyelv["id"];?>" value="<?php echo $adatok["nev_".$nyelv["id"]];?>"></p>
	<?php
		}
	?>
                <p class="help-block">Az oldal, menüpont címét adja meg itt</p>

              </div>
                </div>
              </div>
              


              <div class="row">
              	<div class="col-lg-6">
              <div class="form-group <?php if (in_array("url_nev", $hibasak)) echo ' has-error';?>">

                <label>Oldal URL neve</label><br />

  	<?php
		foreach ($nyelvek as $nyelv) {
 			echo '<p><img src="' . $nyelv_kep_path.$nyelv["kep"] . '" border="0" />' ;
	?>
	      <input class="form-control" name="url_nev_<?php echo $nyelv["id"];?>" type="text" id="url_nev_<?php echo $nyelv["id"];?>" value="<?php echo $adatok["url_nev_".$nyelv["id"]];?>" onChange="javascript:url_modosit('<?php echo $nyelv["id"];?>', '<?php echo $nyelv["nyelv_rovid"];?>');"><br />
<!--		URL: <span class="menupont_url_div" id="oldal_url_<?php echo $nyelv["id"];?>"><?php echo strtolower($adatok["url_nev_".$nyelv["id"]]);?>-p-<?php echo $nyelv["nyelv_rovid"];?>.html</span>-->          
          </p>
	<?php
		}
	?>

                <p class="help-block">Az URL névben engedélyezett karakterek az angol ABC betűi, számok és a kötőjel, illetve az alulvonás jel. Az URL név adja meg, hogy az oldal milyen URL-en, linken lesz elérhető.</p>

              </div>
                </div>
              </div>
            
              
              <div class="row">
              	<div class="col-lg-6">
              <div class="form-group <?php if (in_array("menuresz", $hibasak)) echo ' has-error';?>">

                <label>Menürész</label>

                <div class="radio">

                  <label>

                    <input type="radio" name="menuresz" id="optionsRadios1" value="1"  onChange="szulovalaszto_mutat();" <?php if ($adatok["menuresz"] == 1) echo "checked";?>>

                    Bal

                  </label>

                </div>

               <div class="radio">

                  <label>

                    <input type="radio" name="menuresz" id="optionsRadios2" value="2" onChange="szulovalaszto_mutat();" <?php if ($adatok["menuresz"] == 2) echo "checked";?>>

                    Felső

                  </label>

                </div>

               <div class="radio">

                  <label>

                    <input type="radio" name="menuresz" id="optionsRadios3" value="3" onChange="szulovalaszto_mutat();" <?php if ($adatok["menuresz"] == 3) echo "checked";?>>

                    Jobb

                  </label>

                </div>

               <div class="radio">

                  <label>

                    <input type="radio" name="menuresz" id="optionsRadios4" value="4" onChange="szulovalaszto_mutat();" <?php if ($adatok["menuresz"] == 4) echo "checked";?>>

                    Menün kívüli oldal

                  </label>
				</div>
                <p class="help-block">Válassza ki, melyik menüben jelenjen meg az új oldal</p>                  

              </div>
                </div>
              </div>
              
              <div class="row">
              	<div class="col-lg-6">
              <div class="form-group">

                <label>Szülő menüpont</label>

                <select name="szulo" id="szulo" class="form-control">
                <option value="" <?php if ($adatok["szulo"] == "") echo "selected";?>>Nincs</option>
				<?php
                    for ($i=0;$i<count($menupontok);$i++) {
                        echo '<option value="'.$menupontok[$i]["id"].'"' ;
                            if ($adatok["szulo"] == $menupontok[$i]["id"]) {
                                echo ' selected' ;
                            }
                        echo '>'.$menupontok[$i]["nev"].'</option>' ;
                    }
                ?>
                </select>

                <p class="help-block">A kiválasztott szülő menüpont alá kerül az új oldal almenüpontként. Ha nem választ szülőt, akkor az új oldal főmenüpont lesz.</p>

              </div> 
                </div>
              </div>
              
              <div class="row">
              	<div class="col-lg-6">
              <div class="form-group">

                <label>Oldal háttér stílus</label>

                <select name="body_hatter_class" id="body_hatter_class" class="form-control">
                <option value="bg-01-sotetkek" <?php if ($adatok["body_hatter_class"] == "bg-01-sotetkek") echo "selected";?>>bg-01-sotetkek</option>
                <option value="bg-02-vilagoskek" <?php if ($adatok["body_hatter_class"] == "bg-02-vilagoskek") echo "selected";?>>bg-02-vilagoskek</option>
                </select>

                <p class="help-block">Az oldal hátterének stílusát adhatod itt meg.</p>

              </div> 
                </div>
              </div>              
              

              <div class="form-group <?php if (in_array("oldal_tartalom", $hibasak)) echo ' has-error';?>">

                <label>Oldal tartalma</label><br />

  	<?php
		foreach ($nyelvek as $nyelv) {
 			echo '<p><img src="' . $nyelv_kep_path.$nyelv["kep"] . '" border="0" />' ;
	?>
	      <textarea class="form-control mcEditor" name="oldal_tartalom_<?php echo $nyelv["id"];?>" id="oldal_tartalom_<?php echo $nyelv["id"];?>" rows="30"><?php echo $adatok["oldal_tartalom_".$nyelv["id"]];?></textarea><br />
<div><a href="javascript:toggleEditor('oldal_tartalom_<?php echo $nyelv["id"];?>');">TinyMCE bekapcsolás / kikapcsolás</a><br /></div>          </p>
	<?php
		}
	?>
            </div>


              <div class="row">
              	<div class="col-lg-6">
              <div class="form-group">

                <label>Hardlink</label><br />

  	<?php
		foreach ($nyelvek as $nyelv) {
 			echo '<p><img src="' . $nyelv_kep_path.$nyelv["kep"] . '" border="0" />' ;
	?>
	      <input class="form-control" name="hardlink_<?php echo $nyelv["id"];?>" type="text" id="hardlink_<?php echo $nyelv["id"];?>" value="<?php echo $adatok["hardlink_".$nyelv["id"]];?>"></p>
	<?php
		}
	?>


                <p class="help-block">Ha állít be hardlinket, erre a címre fog mutatni a menüpont, az oldaltartalom nem fog megjelenni</p>

              </div>      
                </div>
              </div>
                      
              <div class="row">
              	<div class="col-lg-6">
              <div class="form-group">

                <label>Meta cím</label><br />

  	<?php
		foreach ($nyelvek as $nyelv) {
 			echo '<p><img src="' . $nyelv_kep_path.$nyelv["kep"] . '" border="0" />' ;
	?>
	      <input class="form-control" name="title_<?php echo $nyelv["id"];?>" type="text" id="title_<?php echo $nyelv["id"];?>" value="<?php echo $adatok["title_".$nyelv["id"]];?>"></p>
	<?php
		}
	?>

                <p class="help-block">A Meta cím az a cím, ami a böngészőablak legtetején, illetve a fülekben megjelenik címként, mikor meg van nyitva az oldal. Ha nincs megadva Meta title, akkor az oldal címe fog megjelenni, tehát nem kötelező.</p>

              </div>   
                </div>
              </div>
                
              <div class="row">
              	<div class="col-lg-6">
              <div class="form-group">

                <label>Meta kulcsszavak</label><br />

  	<?php
		foreach ($nyelvek as $nyelv) {
 			echo '<p><img src="' . $nyelv_kep_path.$nyelv["kep"] . '" border="0" />' ;
	?>
	      <input class="form-control" name="meta_keywords_<?php echo $nyelv["id"];?>" type="text" id="meta_keywords_<?php echo $nyelv["id"];?>" value="<?php echo $adatok["meta_keywords_".$nyelv["id"]];?>"></p>
	<?php
		}
	?>

                <p class="help-block">Az oldal tartalmára jellemző kulcsszavakat sorolja itt fel, vesszővel elválasztva. Nem kötelező.</p>

              </div>   
                </div>
              </div>
                
              <div class="row">
              	<div class="col-lg-6">
              <div class="form-group">

                <label>Meta leírás</label><br />

  	<?php
		foreach ($nyelvek as $nyelv) {
 			echo '<p><img src="' . $nyelv_kep_path.$nyelv["kep"] . '" border="0" />' ;
	?>
	      <input class="form-control" name="meta_description_<?php echo $nyelv["id"];?>" type="text" id="meta_description_<?php echo $nyelv["id"];?>" value="<?php echo $adatok["meta_description_".$nyelv["id"]];?>"></p>
	<?php
		}
	?>

                <p class="help-block">Az oldal tartalmáról írhat ide rövid, pár mondatos ismertetőt. Ha ezt kitölti, a google kereséseknél a találati listában a cím alatt ezek a mondatok fognak megjelenni. Nem kötelező megadni, de keresőoptimalizálás szempontjából hasznos.</p>

              </div>  
                </div>
              </div>
               
              <div class="row">
              	<div class="col-lg-6">
              <div class="form-group" <?php if (in_array("suly", $hibasak)) echo ' has-error';?>>

                <label>Súly</label>

                <input type="text" name="suly" class="form-control" value="<?php if ($adatok["suly"] != "") { echo $adatok["suly"]; } else { echo "0" ; }?>">

                <p class="help-block">A súlyozás határozza meg a menüpontok megjelenésének sorrendjét. Egész számokat lehet megadni, minél nagyobb egy menüpont súlya, annál hátrébb jelenik meg a menüben.</p>

              </div> 
                </div>
              </div>
              
              <div class="form-group <?php if (in_array("lathato", $hibasak)) echo ' has-error';?>">

                <label>Oldal státusz</label>

                <div class="radio">

                  <label>

                    <input type="radio" name="lathato" id="lathato1" value="1" <?php if ($adatok["lathato"] == 1) echo "checked";?>>

                    Aktív

                  </label>

                </div>

               <div class="radio">

                  <label>

                    <input type="radio" name="lathato" id="lathato2" value="0" <?php if ($adatok["lathato"] == 0) echo "checked";?>>

                    Inaktív

                  </label>

                </div>                
                <p class="help-block">Az aktív oldalak megjelennek a honlapon, az inaktívak nem.</p>                  

              </div>

              <button type="submit" class="btn btn-default">Mentés</button>

                       

          </form>                      

          </div>

        </div><!-- /.row -->





      </div><!-- /#page-wrapper -->



    </div><!-- /#wrapper -->







  </body>

</html>

